package com.load.mqtt;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
  *  配置中心
  * @author YunFei.Du
  * @date  8:53 2024/5/30
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MqttProperties {

   private String broker;
   private String topic;
   private String username;
   private String password;
   private String clientId;

    /**
     * 构建mqtt配置
     * @param ip
     * @param topic
     * @return
     */
  public static MqttProperties configBuild(String ip, String topic){
      return MqttProperties.builder()
              .broker("tcp://"+ip+":1883")
              .topic(topic)
              .username("admin")
              .password("public")
              .clientId("protocol-parsing")  //协议解析 定值  --> 配置
              .build();
  }

    /**
     * 判断是否可以登录
     * @return
     */
  public boolean isLogin(){
//      commons-lang3
      return StringUtils.isBlank ( username ) && !StringUtils.isBlank ( password );
  }

}
