package com.load.rebbitmq;

import com.load.mqtt.MqttFactory;
import com.load.mqtt.MqttProperties;
import lombok.extern.log4j.Log4j2;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
  *  信息处理器
  * @author YunFei.Du
  * @date  9:21 2024/5/30
 */
@Component
@Log4j2
public class MsgHandle {

    @Autowired
    private MqttFactory mqttFactory;
    @RabbitListener(queues = {"create.topic"})
    private  void msg(String msg){
        log.info ( "接收到消息：{}" , msg );
        MqttProperties mqttProperties = MqttProperties.configBuild ( "47.92.127.83", "mqtt/test" );

        log.info ( "接收信息初始化程序:{}" , mqttProperties);
        MqttClient client = mqttFactory.createClient ( mqttProperties );
        log.info ( "client创建成功:{}", client.getClientId () );
    }


}
