package com.load.rebbitmq;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;



/**
  *  rabbit 配置类
  * @author YunFei.Du
  * @date  8:39 2024/5/31
 */
@Configuration
public class RabbitConfig {
    /**
     * 创建队列
     * @return
     */
    @Bean
    public Queue initQueue() {
        return new Queue ("create.topic", true);  // true-->队列持久
    }

    /**
     * 创建direct交换机
     * @return
     */
    @Bean
    public DirectExchange direct(){
        return new DirectExchange ("topic.direct");
    }

    /**
     * 绑定队列和交换机
     * @param direct
     * @param initQueue
     * @return
     */
    @Bean
    public Binding binding1a(DirectExchange direct, Queue initQueue){
        return BindingBuilder.bind(initQueue)
                .to(direct)
                .with("protocol-parsing");
    }

}
